---
title: MIDIInput
slug: Web/API/MIDIInput
tags:
  - API
  - Draft
  - Interface
  - MIDIInput
  - NeedsExample
  - Reference
  - Web MIDI API
---
<div>{{APIRef("Web MIDI API")}}{{SeeCompatTable}}</div>

<p>Use the <strong><code>MIDIInput</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_MIDI_API">Web MIDI API</a> to access and pass messages to a MIDI input port.</p>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{domxref("MIDIInput.onmidimessage")}}</dt>
 <dd>When the current port receives a {{domxref("MIDIMessage")}} it triggers a call to this event handler.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebMIDI API','#midiinput-interface')}}</td>
   <td>{{Spec2('WebMIDI API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MIDIInput")}}</p>
</div>
